Ajouter un nouveau document texte à un magasin de vecteurs
post
Create a new text document in a vector store.
Path parameters
vector-store-idstringRequired
The ID of the vector store.
Header parameters
x-api-keystringRequired
The API key for authentication.
Body
namestringOptional
The name of the document.
textstringOptional
The text content of the document.
Responses
201
Document created successfully.
application/json
idintegerOptional
Document ID.
namestringOptional
Document name.
typestringOptional
Document type.
vector_storestringOptional
The ID of the vector store.
sizeintegerOptional
Document size in bytes.
statusstringOptional
Document status.
processing_statusstringOptional
Processing status.
indexed_onstring · date-time · nullableOptional
Time when the document was indexed.
status_error_messagestring · nullableOptional
Error message for status.
createdstring · date-timeOptional
Creation timestamp.
modifiedstring · date-timeOptional
Modification timestamp.
post
/vector-stores/{vector-store-id}/documents/create201
Document created successfully.
Exemples de Requêtes
curl -X POST \
https://api.rememberizer.ai/api/v1/vector-stores/vs_abc123/documents/create \
-H "x-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "Aperçu du Produit",
"text": "Notre produit est une solution innovante pour la gestion des embeddings vectoriels. Il offre une intégration transparente avec vos systèmes existants et propose de puissantes capacités de recherche sémantique."
}'const addTextDocument = async (vectorStoreId, name, text) => {
const response = await fetch(`https://api.rememberizer.ai/api/v1/vector-stores/${vectorStoreId}/documents/create`, {
method: 'POST',
headers: {
'x-api-key': 'YOUR_API_KEY',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: name,
text: text
})
});
const data = await response.json();
console.log(data);
};
addTextDocument(
'vs_abc123',
'Aperçu du Produit',
'Notre produit est une solution innovante pour la gestion des embeddings vectoriels. Il offre une intégration transparente avec vos systèmes existants et propose de puissantes capacités de recherche sémantique.'
);Paramètres de chemin
Paramètre
Type
Description
Corps de la demande
Paramètre
Type
Description
Format de Réponse
Authentification
Réponses d'erreur
Code d'état
Description
Last updated